\  EL2ONE.S
\  Turn lower case EL into 1 where applicable

\  I don't understand it, but I *still* see files
\  where someone has used the lower case el (l)
\  when they should have used the numeral 1. 
\  Typewriters have had numeral one keys
\  on them for twenty years! And every computer
\  ever sold had a one key on it! You have to
\  wonder about some people...

\  This table should be run TWICE on a file, to catch all
\  occurrences of the mistyped numerals.
\  Example:
\     C>snr crummy.doc txt el2one.s el2one.s

\     most of the following conversions rely upon certain statistical
\     juxtapositions of likely mistyped numeral 1s.

(l)=(1)     \ likely within an outline. Beware, though. Maybe it really IS
            \ supposed to be an L, in which case you should put a comment
            \ character in front of this equation.

1.l=1.1     \ likely section lead-ins
l.l=1.1
l.\n=1.\p2
l\n=1\p1

\nl=\p0\31  \ here they're next to other numerals

l-l=1-1     \ maybe part of a date, like 1-1-88.

l-l\y=l-l\p3   \ if it's a word like "well-liked", don't turn it into numbers


-l =-1\20        \ some fairly obvious 1s.
-ll =-11\20
-lll =-111\20
l/\n=1/\p2       \ a fraction, perhaps, or a date like 1/1/88.
 l = 1\20        \ these should obviously be 1s. They all have spaces in front.
 l,= 1,
 l.= 1.
 l)= 1)
 l:= 1:
 l;= 1;
 l\k= 1\p2       \ maybe before a TAB code, or a RETURN, or something
 ll = 11\20
 ll,= 11,
 ll.= 11.
 ll)= 11)
 ll:= 11:
 ll;= 11;
 ll\k= 11\p3
 lll= 111

\        the following equations trap occurrences after a line ending
\        or a tab, or some other non-print character

\kl =\p0\31\20
\kl,=\p0\31,
\kl.=\p0\31.
\kl)=\p0\31)
\kl:=\p0\31:
\kl;=\p0\31;
\kl\09=\p0\31\09
\kll =\p0\311\20
\kll,=\p0\311,
\kll.=\p0\311.
\kll)=\p0\311)
\kll:=\p0\311:
\kll;=\p0\311;
\kll\09=\p0\311\09
\klll=\p0\3111

$l=$1

\              look for what should be zeros

\nO=\p0\30
,OOO=,000
,OO=,00
,O=,0
.OOO=.000
.OO=.00
.O=.0
O.O=0.0
O.\n=0.\p2
O\n=0\p1

