\  TRUNCATE.S
\  File truncator routine

\  This table copies a file until it encounters a DOS end-of-file character
\  (hex 1a). The end-of-file character is not copied. The difference between
\  this table and the DOS COPY command, is that this table will truncate the
\  output file AS SOON AS the end-of-file character is encountered whereas the
\  DOS COPY command will only truncate the output file if the EOF character is
\  within the last 512 characters of the file. This table is handy for removing
\  garbage at the end of a file when it occurs beyond an EOF character; many
\  data base programs and some word processing programs retain this junk.

\\Q1a    \ the 1a is defined as the Quit character. You may change this
         \ code to any character you like, and SNR will truncate
         \ the output file when it is encountered.

\q=           \ Don't output the end-of-file character before quitting.
              \ If this equation is omitted, the end-of-file character
              \ will be added to the output file just before quitting.

\80\80=\80\80  \ This equation is necessary to coerce this table into
               \ assembling as a multi-character translate table; if we
               \ didn't do that, the \\Q setup code would not work. Note that
               \ ANY 1-to-many, many-to-1 or many-to-many equation will
               \ do the coercion; we've just chosen a trivial equation which
               \ will have absolutely no effect on the output file, since it
               \ converts to itself. If you decide to include this table as
               \ part of a larger multi-character translate table, you can
               \ remove this particular equation.
